package org.seasar.s2hessian;

import org.aopalliance.intercept.MethodInvocation;
import org.seasar.framework.aop.interceptors.AbstractInterceptor;

import com.caucho.hessian.client.HessianProxyFactory;

public class S2HessianInterceptor extends AbstractInterceptor {
	
	private HessianProxyFactory factory = new HessianProxyFactory();
	
	private Object proxy;
	
	private String serviceUrl;
	
	public Object invoke(MethodInvocation invocation) throws Throwable {
		if (proxy == null) {
			proxy = factory.create(super.getTargetClass(invocation), getServiceUrl());
		}
		return invocation.getMethod().invoke(proxy, invocation.getArguments());
	}
	
	public void setServiceUrl(String serviceUrl) {
		this.serviceUrl = serviceUrl;
	}

	public String getServiceUrl() {
		return serviceUrl;
	}
	
}
