package org.seasar.s2hessian.example;

import org.seasar.s2hessian.example.SeasarTest;

import java.util.ArrayList;
import java.util.Date;
import java.util.Hashtable;

import com.caucho.hessian.client.HessianProxyFactory;

public class TestClient {
  public static void main(String []args)
    throws Exception
  {
    HessianProxyFactory factory = new HessianProxyFactory();
    String url = "http://localhost:8080/s2hessian/s2h/test";
    SeasarTest seasarTest = (SeasarTest) factory.create(SeasarTest.class, url);

    /* Test1 */
    int ires=seasarTest.intPlus(3,5);
    System.out.println("Test1 intPlus result: " +ires);
    
    /* Test2 */
    boolean bres=seasarTest.boolTest(false);
    System.out.println("Test2 boolTest result: " +bres);
    
    /* Test3 */
    long lres=seasarTest.longPlus(385555L,1000000L);
    System.out.println("Test3 longPlus result: " +lres);   
    
    /* Test4 */
    double dres=seasarTest.doublePlus(555.385555,1000000.0);
    System.out.println("Test4 doublePlus result: " +dres); 
    
    /* Test5 */
    String sres=seasarTest.stringCat("Seaser=","Test");
    System.out.println("Test5 stringCat result: " +sres);
    
    /* Test6 */ 
    sres=seasarTest.dateCheck1(new Date());
    System.out.println("Test6 dateCheck1 result: " +sres);
    
    /* Test7 */ 
    Date dtres=seasarTest.dateCheck2();
    System.out.println("Test7 dateCheck2 result: " +dtres);
    
    /* Test8 */
    int it[]={1,2,3,4,5};
    int[] iares=seasarTest.intArray(it);
    System.out.print("Test8 intArray result: ");
    for (int i=0;i<5;i++) {
        System.out.print(" "+iares[i]);
    }
    System.out.println();
    
    /* Test9 */
    Hashtable ht=new Hashtable();
    ht.put("test1",new Integer(1));
    ht.put("test2","t2");
    Hashtable htres=seasarTest.hashTable(ht);
    System.out.println("Test9 Hashtable result: " +htres);    
    
    /* Test10 */
    ArrayList al=new ArrayList();
    al.add(new Integer(1));
    al.add("t2");
    ArrayList alres=seasarTest.arrayList(al);
    System.out.println("Test10 ArrayList result: " +alres); 
    
    /* Test11 */
    MyObject mo=new MyObject();
    mo.setInt1(100);
    mo.setString1("Seasar");
    MyObject mores=seasarTest.myObjectTest(mo);
    System.out.println("Test11 MyObjectTest result: "
            + mores.getString1() + " " + mores.getInt1());
    
    }

}